net.sf.jlinkgrammar

## Class PPLinkset

- java.lang.Object
- - net.sf.jlinkgrammar.PPLinkset

-     public class PPLinkset
      extends java.lang.Object

  TODO add javadoc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) PPLinksetNode[]` | `hash_table`
    `(package private) int` | `hash_table_size`
    `(package private) int` | `population`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PPLinkset()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static PPLinksetNode` | `add_internal(PPLinkset ls, java.lang.String str)`
    `(package private) static void` | `clear_hash_table(PPLinkset ls)`
    `(package private) static int` | `compute_hash(PPLinkset ls, java.lang.String str)`
    `(package private) static void` | `initialize(PPLinkset ls, int size)`
    `(package private) static int` | `PPLinkset_add(PPLinkset ls, java.lang.String str)`
    `(package private) static void` | `PPLinkset_clear(PPLinkset ls)`
    `(package private) static boolean` | `PPLinkset_match_bw(PPLinkset ls, java.lang.String str)`
    `(package private) static boolean` | `PPLinkset_match(PPLinkset ls, java.lang.String str)`
    `(package private) static PPLinkset` | `PPLinkset_open(int size)`
    `(package private) static int` | `PPLinkset_population(PPLinkset ls)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hash_table_size

          int hash_table_size

    - #### population

          int population

    - #### hash_table

          PPLinksetNode[] hash_table

  - ### Constructor Detail

    - #### PPLinkset

          public PPLinkset()

  - ### Method Detail

    - #### PPLinkset_open

          static PPLinkset PPLinkset_open(int size)

    - #### initialize

          static void initialize(PPLinkset ls,
                        int size)

    - #### PPLinkset_add

          static int PPLinkset_add(PPLinkset ls,
                          java.lang.String str)

    - #### PPLinkset_match

          static boolean PPLinkset_match(PPLinkset ls,
                                java.lang.String str)

    - #### PPLinkset_match_bw

          static boolean PPLinkset_match_bw(PPLinkset ls,
                                   java.lang.String str)

    - #### PPLinkset_population

          static int PPLinkset_population(PPLinkset ls)

    - #### add_internal

          static PPLinksetNode add_internal(PPLinkset ls,
                                   java.lang.String str)

    - #### compute_hash

          static int compute_hash(PPLinkset ls,
                         java.lang.String str)

    - #### PPLinkset_clear

          static void PPLinkset_clear(PPLinkset ls)

    - #### clear_hash_table

          static void clear_hash_table(PPLinkset ls)